Skip to main content
PUT
Update account relationship

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

relationship_id
string<uuid>
required

Relationship ID of the account associate with the account entity

Example:

"1a582c51-e4ff-4e57-9558-08cab6b963aa"

account_id
string<uuid>
required

Unique identifier for the account.

Example:

"57826c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Account relationship to be updated

The relationship of the account and the customer/business. Either customer_id OR business_id must be specified, but not both.

relationship_type
enum<string>
required

Relationship type

Available options:
ACCOUNT_HOLDER,
AUTHORIZED_SIGNER,
AUTHORIZED_USER,
BENEFICIARY,
JOINT_ACCOUNT_HOLDER,
PRIMARY_ACCOUNT_HOLDER
business_id
string<uuid>

Business associated with the current account. One of business_id or customer_id must be specified.

created_at
string<date-time>

Date and time when this association was created.

customer_id
string<uuid>

Personal customer associated with the current account. One of customer_id or business_id must be specified.

deleted_at
string<date-time>

Date and time when this association was deleted.

ownership_percentage
number<double>

The ownership percentage of the related party.

Required range: 0 <= x <= 100
Example:

35.75

person_id
string<uuid>
deprecated

Person associated with the current account. This attribute is deprecated and will be removed in a future API version. Use customer_id instead.

updated_at
string<date-time>

Date and time when this association was last updated.

Response

Updated account relationship

The relationship of the account and the customer/business.

relationship_type
enum<string>
required

Relationship type

Available options:
ACCOUNT_HOLDER,
AUTHORIZED_SIGNER,
AUTHORIZED_USER,
BENEFICIARY,
JOINT_ACCOUNT_HOLDER,
PRIMARY_ACCOUNT_HOLDER
account_id
string<uuid>

Account ID

business_id
string<uuid>

Business associated with the current account. One of business_id or customer_id must be specified.

created_at
string<date-time>

Date and time when this association was created.

customer_id
string<uuid>

Personal customer associated with the current account. One of customer_id or business_id must be specified.

deleted_at
string<date-time>

Date and time when this association was deleted.

id
string<uuid>
read-only

ID of account relationship

ownership_percentage
number<double>

The ownership percentage of the related party.

Required range: 0 <= x <= 100
Example:

35.75

person_id
string<uuid>
deprecated

Person associated with the current account. This attribute is deprecated and will be removed in a future API version. Use customer_id instead.

updated_at
string<date-time>

Date and time when this association was last updated.